## 3.6.0.zip

=== build/exe/doliwamp/Makefile ===
#-------------------------------------------------------------------#
# Makefile
#-------------------------------------------------------------------#
# 1.0     Laurent Destailleur     Creation 
#-------------------------------------------------------------------#
# Works with GCC CYGWIN, GCC MINGW
#-------------------------------------------------------------------#


# Project options
#-----------------

# "GCC" to use GCC GNU C++ (Cygwin or Linux), "MINGW" to use MINGW, "VC" to use Microsoft Visual C+
COMP=MINGW
# DEBUG=1 for debug
DEBUG=0

# Directories
SRCDIR  = ./
RUNDIR  = ./
INCDIR  = ./
LIBDIR  = ./
INCLUDES= -I$(INCDIR)
LIBS    = -L$(LIBDIR) -L../lib

# Program files to build        (Ex: $(RUNDIR)prog)
PROGRAM = $(RUNDIR)UsedPort
# Object files to build         (Ex: $(LIBDIR)yyy.o $(LIBDIR)zzz.o ...)
OBJLIST = $(LIBDIR)UsedPort.o$(BJ)


# Archive file for o files      (Ex: $(LIBDIR)libxxx.a)
ifeq "$(OS)" "Windows_NT"
ARCHIVE = "mylib.a"
else
ARCHIVE = "mylib.a"
endif

# Compilation/Link by GCC
#------------------------
ifeq "$(COMP)" "GCC"
CC              = gcc
CPP             = g++
RSC             = g++
AR              = ar r
OUT=-o
ifeq "$(DEBUG)" "1"
COPTIONS=-Wall -g -DDEBUG
else
COPTIONS=-O3
endif
ifeq "$(OS)" "Windows_NT"
# wsock32 required only if _WIN32 defined in source code and use WSA* functions
LOPTIONS=-Bstatic
endif
ifeq "$(MACHTYPE)" "sparc"
LOPTIONS=-lsocket -Bstatic
endif
ifeq "$(PROCESSOR_ARCHITECTURE)" "x86"
LOPTIONS2=-m486
endif
endif

# Compilation/Link by MINGW
#--------------------------
ifeq "$(COMP)" "MINGW"
CC              = mingw32-gcc.exe
CPP             = mingw32-g++.exe
RSC             = mingw32-g++.exe
AR              = ar r
OUT=-o
ifeq "$(DEBUG)" "1"
COPTIONS=-Wall -g -DDEBUG
else
COPTIONS=-O3
endif
LOPTIONS=-lwsock32 -Bstatic
ifeq "$(PROCESSOR_ARCHITECTURE)" "x86"
LOPTIONS2=-m486
endif
endif

# Compilation/Link by VC
#-----------------------
ifeq "$(COMP)" "VC"
CC              = cl.exe
CPP             = cl.exe
RSC             = rc.exe
ifeq "$(COMP)" "GCC"
COPTIONS= /nologo /ML /W3 /O2 /Yd /D "DEBUG" /D "WIN32" /D "_CONSOLE" /c
else
COPTIONS= /nologo /G4 /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /c
endif
LOPTIONS= /nologo kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib\
 advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib\
 odbccp32.lib wsock32.lib
BJ              = bj
OUT=/Fo
endif



# New rules
#-----------------
ifeq "$(OS)" "Windows_NT"
RM              = rm -f
CFLAGS  = $(COPTIONS) $(INCLUDES)
else
RM              = rm -f
CFLAGS  = $(COPTIONS) $(INCLUDES)
endif
LDFLAGS = $(LOPTIONS) $(LOPTIONS2) $(LIBS)

$(LIBDIR)%.o: %.cpp
	@echo ----- Compilation C++ by $(COMP) $(CPP) - $@
	@echo CPP=$(CPP)
	@echo CFLAGS=$(CFLAGS)
	$(CPP) -c $(CFLAGS) $(SRC)$< $(OUT)$@
#       @echo ----- Archivage en $(ARCHIVE)
#       $(AR) $(ARCHIVE) $@

$(LIBDIR)%.obj: %.cpp
	@echo ----- Compilation C++ by $(COMP) $(CPP) - $@
	@echo CPP=$(CPP)
	@echo CFLAGS=$(CFLAGS)
	$(CPP) -c $(CFLAGS) $(SRC)$< $(OUT)$@
#       @echo ----- Archivage en $(ARCHIVE)
#       $(AR) $(ARCHIVE) $@
 
$(LIBDIR)%.o: %.c
	@echo ----- Compilation C   by $(COMP) $(CC) - $@
	@echo CC=$(CC)
	@echo CFLAGS=$(CFLAGS)
	$(CC) -c $(CFLAGS) $(SRC)$< $(OUT)$@
#       @echo ----- Archivage en $(ARCHIVE)
#       $(AR) $(ARCHIVE) $@

$(LIBDIR)%.obj: %.c
	@echo ----- Compilation C   by $(COMP) $(CC) - $@
	@echo CPP=$(CPP)
	@echo CFLAGS=$(CFLAGS)
	$(CC) -c $(CFLAGS) $(SRC)$< $(OUT)$@
#       @echo ----- Archivage en $(ARCHIVE)
#       $(AR) $(ARCHIVE) $@



# Targets
#-----------------

# Default target                (Ex: $(PROGRAM) or $(OBJLIST))
all:	$(PROGRAM)

# Program (if PROGRAM is just one exe)
#$(PROGRAM1): $(OBJLIST1)
#	@echo ----- Link by $(COMP) $(CC) - $@
#	rm -f $(RUNDIR)$@
#	$(CC) -o $(RUNDIR)$@ $(OBJLIST) $(LDFLAGS) $(ARCHIVE)

# Program (if PROGRAM are several exe)
$(PROGRAM): $(OBJLIST)
	@echo ----- Link by $(COMP) $(CC) - $@
	@echo LIBDIR=$(LIBDIR)
	@echo LDFLAGS=$(LDFLAGS)
	rm -f $(RUNDIR)$@
#	$(CC) -o $(RUNDIR)$@ $(LIBDIR)$@.o$(BJ) $(LDFLAGS) $(ARCHIVE)
	$(CC) -o $(RUNDIR)$@ $(LIBDIR)$@.o$(BJ) $(LDFLAGS)

# Clean
clean:
	@echo ----- Clean
	$(RM) $(LIBDIR)*.a $(LIBDIR)*.o $(LIBDIR)*.obj $(RUNDIR)UsedPort.exe $(RUNDIR)core $(OBJLIST)


# Dependencies xxx.o: xxx.c xxxa.h xxxb.h
#$(LIBDIR)UsedPort.o: $(SRCDIR)UsedPort.cpp

=== build/debian/changelog ===
dolibarr (3.6.0-3) unstable; urgency=low

  [ Laurent Destailleur (eldy) ]
  * New upstream release.
    
 -- Laurent Destailleur (eldy) <eldy@users.sourceforge.net>  Tue, 15 July 2014 12:00:00 +0100      

dolibarr (3.5.5-3) unstable; urgency=low

  [ Laurent Destailleur (eldy) ]
  * New upstream release.
    
 -- Laurent Destailleur (eldy) <eldy@users.sourceforge.net>  Tue, 8 July 2014 12:00:00 +0100     

dolibarr (3.5.4-3) unstable; urgency=low

  [ Laurent Destailleur (eldy) ]
  * New upstream release.
    
 -- Laurent Destailleur (eldy) <eldy@users.sourceforge.net>  Tue, 1 July 2014 12:00:00 +0100     

dolibarr (3.5.3-3) unstable; urgency=low

  [ Laurent Destailleur (eldy) ]
  * New upstream release.
    
 -- Laurent Destailleur (eldy) <eldy@users.sourceforge.net>  Fri, 2 May 2014 12:00:00 +0100     

dolibarr (3.5.2-3) unstable; urgency=low

  [ Laurent Destailleur (eldy) ]
  * New upstream release.
    
 -- Laurent Destailleur (eldy) <eldy@users.sourceforge.net>  Fri, 14 March 2014 12:00:00 +0100     

dolibarr (3.5.1-3) unstable; urgency=low

  [ Laurent Destailleur (eldy) ]
  * New upstream release.
    
 -- Laurent Destailleur (eldy) <eldy@users.sourceforge.net>  Fri, 7 Feb 2014 12:00:00 +0100     

dolibarr (3.5.0-3) unstable; urgency=low

  [ Laurent Destailleur (eldy) ]
  * New upstream release.
    
 -- Laurent Destailleur (eldy) <eldy@users.sourceforge.net>  Fri, 31 Jan 2014 12:00:00 +0100     

dolibarr (3.4.2-3) unstable; urgency=low

  [ Laurent Destailleur (eldy) ]
  * Maintenance release.
    
 -- Laurent Destailleur (eldy) <eldy@users.sourceforge.net>  Mon, 30 Dec 2013 12:00:00 +0100     

dolibarr (3.4.1-3) unstable; urgency=low

  [ Laurent Destailleur (eldy) ]
  * Maintenance release.
    
 -- Laurent Destailleur (eldy) <eldy@users.sourceforge.net>  Mon, 27 Apr 2013 12:00:00 +0100     

dolibarr (3.4.0-3) unstable; urgency=low

  [ Laurent Destailleur (eldy) ]
  * Maintenance release.
    
 -- Laurent Destailleur (eldy) <eldy@users.sourceforge.net>  Mon, 22 Apr 2013 12:00:00 +0100

=== build/debian/control ===
Source: dolibarr
Section: web
Priority: optional
Maintainer: Laurent Destailleur (eldy) <eldy@users.sourceforge.net>
# Uploaders: Laurent Destailleur (eldy) <eldy@users.sourceforge.net>		# Only if differs from Maintainer
Standards-Version: 3.9.4
Homepage: http://www.dolibarr.org
Build-Depends: debhelper (>= 9), po-debconf
# This package need at least debian 7 or ubuntu 13.04 or any distribution based on this version
 
Package: dolibarr
Architecture: all
Depends: libapache2-mod-php5 | libapache2-mod-php5filter | php5-cgi | php5-fpm | php5,
    php5-cli, 
# Required PHP extensions
    php5-mysql | php5-mysqli, php5-curl, php5-gd, php5-ldap, php5-geoip,
# Required PHP libraries
    php-pear, php-mail-mime, 
#    php-tcpdf, libfpdi-php, libfpdf-tpl-php, php-fpdf,
#    libphp-adodb,
#    libnusoap-php,
#    libphp-pclzip,
# Required javascript libraries
#    libjs-jquery, libjs-jquery-ui, libjs-flot, ckeditor,
# Misc dependencies
#    fonts-dejavu-core | ttf-dejavu-core,
    xdg-utils,
    mysql-server,
    ${misc:Depends},
    ${perl:Depends}
Recommends: mysql-client, apache2 | lighttpd | httpd
Suggests: www-browser
Description: Web based software to manage a company or foundation
 Dolibarr ERP & CRM is an easy to use open source/free software for small 
 and medium companies, foundations or freelances. It includes different 
 features for Enterprise Resource Planning (ERP) and Customer Relationship
 Management (CRM) but also for different other activities.
 .
 It's a web software you can install as a standalone program or on any web
 hosting provider to use it from anywhere with any web browser.
 .
 Dolibarr was designed to be easy to use. Only the features that you need 
 are visible, depending on which modules were activated.
 .
 This is an example of most common used modules:
 .
 Customers, Suppliers or Prospects directory,
 Contacts directory,
 Orders management,
 Commercial proposals management,
 Invoices management,
 Products and services catalog,
 Stock management,
 Foundations members management,
 Bank accounts management,
 Point of Sale,
 Payments management,
 Commercial actions management,
 Contracts management,
 Standing orders management,
 Shipping management,
 Donations management,
 Bookmarks management,
 Mass Emailings,
 Reports,
 Wizards to export and import data,
 LDAP connectivity,
 PDF exports,
 And a lot more modules...
 .
 You can also add third parties external modules or develop yours.
